#ifndef DATA_LINK_TX_H
#define DATA_LINK_TX_H

#include <stdint.h>
#include <stdbool.h>


#define DATA_LINK_TX_MAX_DATA_LENGTH (3)


typedef struct data_link_tx_t_
{
    uint8_t data[DATA_LINK_TX_MAX_DATA_LENGTH];
    uint8_t data_length;
} 
data_link_tx_t;


void data_link_tx_init(data_link_tx_t *data_link);
void data_link_tx_send_start(data_link_tx_t *data_link);
void data_link_tx_send_data(data_link_tx_t *data_link, uint8_t data);
void data_link_tx_send_stop(data_link_tx_t *data_link);
bool data_link_tx_has_wire_data(data_link_tx_t *data_link);
uint8_t data_link_tx_get_wire_data(data_link_tx_t *data_link);

#endif // DATA_LINK_TX_H